np10
  1. account
np10
  • account
    • Register
      POST
    • Login
      POST
    • Logout
      POST
    • Refresh
      POST
    • Infer
      GET
  • social
    • View Profile
      GET
  • game
    • Join Queue
      POST
    • Leave Queue
      POST
  • match
    • player1
    • player2
    • spectactor
  1. account

Login

POST
/account/auth/v1/login

Request

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠404Record Not Found
🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/account/auth/v1/login' \
--header 'Content-Type: application/json' \
--data-raw '{
    "username": "jono12345",
    "password": "12345678"
}'
Response Response Example
200 - OK
{
    "token": {
        "access": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJQYXlsb2FkIjp7IlVzZXIiOjN9LCJpc3MiOiJ5b3Vyc3RydWx5IiwiZXhwIjoxNzY5NDg2NjU1LCJuYmYiOjE3Njk0ODU0NTUsImlhdCI6MTc2OTQ4NTQ1NX0.7R1-ttrt6WJFN7dhluFJLliQHMc3e-m0bZZ-UG4Wpxo",
        "refresh": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJQYXlsb2FkIjp7IlVzZXIiOjN9LCJpc3MiOiJ5b3Vyc3RydWx5IiwiZXhwIjoxNzY5NDg5MDU1LCJuYmYiOjE3Njk0ODU0NTUsImlhdCI6MTc2OTQ4NTQ1NX0.LYWL5914-iroNjANQqif1xV-m1MfLw4Nh3c614ZTLWM"
    }
}
Modified at 2025-12-16 09:31:48
Previous
Register
Next
Logout
Built with